AOZ Studio Beta - Bug #669

The Box command doesn't draw in the proper colors, and the lines are too thick.
02/20/2021 05:45 AM - Brian Flanagan

Status: Feedback Start date: 02/19/2021
Priority: Low Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 1:00 hour
Target version:

Affected version: 1.0.0 (B7)

Description

In the following example, the boxes drawn should be drawn using the same high intensity color that | see on the Plot statements
used in the corners of each box:

Screen Scale 0,3,3 ' Zoom in to see the detail

Dim X (72),Y(72)
For i=1 TO 72

Read X (1i),Y (1)
Next i
Data 1,0, 1,20, 1,40, 1,60, 1,80, 1,100, 1,120, 1,140, 1,160
Data 21,0, 24,20, 21,40, 24,60, 21,80, 24,100, 24,120, 21,140, 21,160
Data 41,0, 41,20, 41,40, 41,60, 41,80, 41,100, 41,120, 41,140, 41,160
Data 61,0, 61,20, 61,40, 61,60, 61,80, 61,100, 61,120, 61,140, 61,160
Data 81,0, 81,20, 81,40, 81,60, 81,80, 81,100, 81,120, 81,140, 81,160
Data 101,0, 101,20, 101,40, 101,60, 101,80, 101,100, 101,120, 101,140, 101,160
Data 121,0, 121,20, 121,40, 121,60, 121,80, 121,100, 121,120, 121,140, 121,160
Data 141,0, 141,20, 141,40, 141,60, 141,80, 141,100, 141,120, 141,140, 141,160
Data 161,0, 161,20, 161,40, 161,60, 161,80, 161,100, 161,120, 161,140, 161,160

''16 x 9 = 90 + 54 = 144
Palette 0, $FFFFFF,SFF0000, $OOFF00, $O0000FF, $SFFOOFF, SFFFF00, SOOFFFF, SFF7700, SO0OFF77, $7700FF, SFF0077,
$77FF00, $0077FF
Cls 0 : Ink 1
N=1
For N=1 To 72
Ink N Mod 10 + 2
Box X(N),Y(N)+1 To X(N)+16,Y (N)+16+1
Plot X(N),Y(N)+1l ' should be full intensity color
Plot X(N)+16,Y(N)+16+1 ' should be full intensity color
Plot X(N)+16,Y(N)+1
Plot X(N),Y(N)+16+1
Next N
// Each of the boxes printed should be drawn in the same full intensity color as the corner dots.
// Apparently, Plot is using the correct color, but Box, Draw, etc. are shown in much lower intens
ity.
// Also, the lines drawn for the box are too thick!

History

#1 - 03/22/2021 06:36 AM - Brian Flanagan
- Affected version changed from 1.0.0 (B3) to 1.0.0 (B5)

Re-tested in 1.0.0 (B5)
Still fails.

#2 - 03/31/2021 05:02 PM - Francois Lionet
- Status changed from New to Feedback

- Assignee set to Francois Lionet
Will be solved when | make the new drawing routines.

#3 - 04/01/2021 11:29 AM - Brian Flanagan
- Affected version changed from 1.0.0 (B5) to 1.0.0 (B7)

Thanks, Francois!

Partially fixed! The line thickness issue appears to have been corrected.
The color intensity is still a problem. (I'll be glad to see the new renderer when it's ready!)
